/***

Copyright 2011-2012 Carlos Moreno Munoz

This file is part of Vands.

Vands is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Foobar is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
****/

function raton_liberado(evento) {

	if(!blok){
		//Adaptamos las coordenadas del evento
		var x_evento=adaptar_x_evento(evento);
		var y_evento=adaptar_y_evento(evento);

		if(menu.boton_apuntado==2){ //LOGOUT
			bloquear();				
			grid.mark_grid(0,0,GRID_COLUMNS-1,GRID_ROWS-1);
			fadeout_alpha=0.0;
			url_redireccionar="/logout/";
		}else if(menu.boton_apuntado==1){ //BANDS
			bloquear();				
			grid.mark_grid(0,0,GRID_COLUMNS-1,GRID_ROWS-1);
			fadeout_alpha=0.0;
			url_redireccionar="/bands/";
		}else if(menu.boton_apuntado==0){ //ROOM
			bloquear();				
			grid.mark_grid(0,0,GRID_COLUMNS-1,GRID_ROWS-1);
			fadeout_alpha=0.0;
			url_redireccionar="/room/";
		}else if(boton_destacado!=-1){ //Estamos interactuando con un boton
			lanzar_dialogo(ANCHURA_VENTANA/2-150,ALTURA_VENTANA/2-100,TAG_BAND_REQUEST);
		}else if(instrumentos.area_apuntada!=-1){ //Estamos interactuando con un area
			if(instrumentos.area_apuntada==TAG_GUITAR){
				redireccionar("guitarra/");
			}
		}else{ //Estamos moviendonos
			//Controlamos que no se nos salga de los margenes
			var n_areas=escenario.area.length;
			var area_destino; //Area al que queremos ir
			area_actual=calcular_area(jugador.getX()); //Area en el que estamos
			var xdest;
			var ydest;
							
			area_destino=calcular_area(x_evento);

			if(area_destino==0 && x_evento<escenario.area[0][0])
					xdest=escenario.area[0][0];
			else if(area_destino==n_areas-1)
					xdest=escenario.area[n_areas-1][0];
			else
					xdest=x_evento;

			if(y_evento>escenario.area[area_destino][1])
					ydest=y_evento;
			else
					ydest=escenario.area[area_destino][1];
					
			//Creamos una nueva ruta
			ruta = new Ruta(jugador.getX(),jugador.getY(),xdest,ydest,area_actual,area_destino);
					
			if(ruta.getX()<jugador.getX())
				jugador.direccion_x=1;
			else if(ruta.getX()>jugador.getX())
				jugador.direccion_x=2;
				
			if(ruta.getY()<jugador.getY())
				jugador.direccion_y=1;
			else if(ruta.getY()>jugador.getY())
				jugador.direccion_y=2;
		}
	}
}

function raton_movido(evento){

	if(!blok){
    
		//Adaptamos las coordenadas del evento
		var x_evento=adaptar_x_evento(evento);
		var y_evento=adaptar_y_evento(evento);
		
		//No estamos arrastrando el raton
		if(y_evento<=MENU_MARGIN){
			//Desplegamos el menu
			menu.estado=DESPLEGAR_MENU;
			//Destacamos los botones del menu
			menu.destacar_botones(x_evento,y_evento);
		}else{
			//Ya no estamos apuntando a algun boton del menu
			menu_button_pointed=-1;
			//Comprobamos si estamos pasando por encima de algun area de instrumentos
			instrumentos.destacar_areas(x_evento,y_evento);
			//Comprobamos si estamos pasando por encima de un boton
			destacar_botones(x_evento,y_evento);
			//Comprobamos si estamos pasando por encima de un objeto
			if(boton_destacado==-1)
				destacar_objeto(x_evento,y_evento);
			//Replegamos el menu
			if(menu.estado==DESPLEGAR_MENU)
				menu.estado=REPLEGAR_MENU;
		}
	}
}

function mouse_down(evento) {

	if(!blok){
		down=1;
	}
}
